Bug 1111159 - ConsistentHash and ConsistentHashFactory API contract unstable
Summary: ConsistentHash and ConsistentHashFactory API contract unstable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Christian Huffman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 11:40 UTC by Radim Vansa
Modified: 2020-09-16 06:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-30 19:46:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Radim Vansa 2014-06-19 11:40:38 UTC
I am not 100% sure whether these two classes should be public or not in JDG; in community these are public, and the interfaces can be implemented and used (we document that [1]). Still, they are not documented in API - it seems ISPN-4074 has not been correctly applied for jdg-6.3.x branch.

Then, [2] brings a new method into the ConsistentHash interface, breaking the API contract.

This should have effect only on customers who are using their own implementation of ConsistentHashFactory, though.


[1] http://docbuilder.usersys.redhat.com/12532/#Implementing_a_ConsistentHashFactory
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1099969

Comment 2 William Burns 2014-06-19 14:21:22 UTC
When I spoke with Tristan about this interface, we were thinking this interface was used so infrequently it wasn't a big deal.  This could be a false assumption, I don't know myself.

Comment 3 Radim Vansa 2014-06-20 14:18:36 UTC
I understand, Galder even removed the configuration option to set custom ConsistentHashFactory from 7.x-style XML configuration. I really don't know how "big deal" is it to break API in *any* way, therefore, I had to report that.

You always have the option to close the bugzilla as 'won't fix'.

Comment 5 Christian Huffman 2019-01-30 19:46:36 UTC
I'm closing this issue out due to age. If it persists, file a corresponding JIRA.


Note You need to log in before you can comment on or make changes to this bug.